using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StubCore.Plugins.Logging
{
    public class ContextLogger : DataLogger
    {

        public void FilesAndFoldersNoCreated()
        {
            _logger.Error("[FrontController] The data structure was not created.");
        }

        public void FoldersValidationFault()
        {
            _logger.Error("[FrontController] Folders structure is invalid");
        }

        public void FileWasntSaved(string filePath)
        {
            var message = String.Format("[FileManager] File wasn't saved. Please check permissions. Context: [Filepath: {0}]", filePath);
            _logger.Error(message);
        }

    }
}
